icon_text_button 0.1.7

  • Readme
  • Changelog
  • Example
  • Installing
  • 80

icon_text_button #

A button Widget that contain Icon and Text together.

Install #

To Read The Official Page

Examples #

To Read This Official Page

Apis #

nametyperequiredintromark
iconIconrequiredThe main icon
labelTextrequiredThe word under icon
onPressVoidCallbackrequiredThe event when you click
btnTypeBtnType(enum)The button style that you will useThe value is in [raise, outline, flat, icon]
colorColorThe color of icon & text
sizeDoubleThe size of whole button
paddingEdgeInsetsGeometryThe Padding around icon & text
bgColorColorThe color of Background
borderColorColorThe color of border with outlineButtonONLY FOR OutlineButton

[0.1.7] - 2019/12/16

  • fix bug
    • the assert of padding is opposite

[0.1.6] - 2019/12/16

  • add api:
    • padding

[0.1.5] - 2019/11/15

  • update document

[0.1.4] - 2019/11/15

  • update api:
    • bgColor
  • add api:
    • borderColor for btnType: out_line

[0.1.3] - 2019/11/15

  • update example
  • update readme
    • add apis to readme
  • build github page

[0.1.1] - 2019/11/14

  • update example
  • update Readme

[0.1.0] - 2019/11/14

init pub package

example/README.md

example #

The example project of IconTextButton

Sample #

IconTextButton(
    icon: Icon(Icons.school),
    label: Text('RaiseButton'),
    color: Colors.white,
    onPress: () {},
),// Widget RaiseButton

IconTextButton(
    icon: Icon(Icons.all_inclusive),
    label: Text('FlatButton'),
    onPress: () {},
    color: Colors.red,
    btnType: BtnType.flat,
),// Widget FlatButton

IconTextButton(
    icon: Icon(Icons.ac_unit),
    label: Text('OutlineButton'),
    btnType: BtnType.outline,
    color: Colors.cyan,
    onPress: () {},
),// Widget OutlineButton

IconTextButton(
    icon: Icon(Icons.import_contacts),
    label: Text('IconButton'),
    btnType: BtnType.icon,
    onPress: () {},
)// Widget IconButton

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  icon_text_button: ^0.1.7

2. Install it

You can install packages from the command line:

with Flutter:


$ flutter pub get

Alternatively, your editor might support flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:icon_text_button/icon_text_button.dart';
  
Popularity:
Describes how popular the package is relative to other packages. [more]
60
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
100
Overall:
Weighted score of the above. [more]
80
Learn more about scoring.

We analyzed this package on Jan 19, 2020, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.7.0
  • pana: 0.13.4
  • Flutter: 1.12.13+hotfix.5

Health suggestions

Format lib/generated/i18n.dart.

Run flutter format to format lib/generated/i18n.dart.

Format lib/icon_text_button.dart.

Run flutter format to format lib/icon_text_button.dart.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.1.0 <3.0.0
flutter 0.0.0
Transitive dependencies
collection 1.14.11 1.14.12
meta 1.1.8
sky_engine 0.0.99
typed_data 1.1.6
vector_math 2.0.8
Dev dependencies
flutter_test